Package com.xebialabs.xlrelease.domain.variables.reference

## Class VariableUsagePoint

- java.lang.Object
- - com.xebialabs.xlrelease.domain.variables.reference.VariableUsagePoint

- All Implemented Interfaces:
    `UsagePoint`

      public class VariableUsagePoint
      extends java.lang.Object
      implements UsagePoint

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableUsagePoint​(Variable variable)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​VariableReference.VariableUsageType>` | `collectVariables()` |
    `CiProperty` | `getTargetProperty()` |
    `protected static scala.PartialFunction<Variable,​scala.runtime.BoxedUnit>` | `replace​(java.lang.String key, java.lang.String newKey)` |
    `protected scala.Option<Variable>` | `replaceString​(java.lang.String key, java.lang.String value)` |
    `protected scala.Option<Variable>` | `replaceValue​(java.lang.String key, java.lang.Object value)` |
    `java.util.Set<ConfigurationItem>` | `replaceVariable​(Variable toReplace, VariableOrValue replacement)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableUsagePoint

          public VariableUsagePoint​(Variable variable)

  - ### Method Detail

    - #### replace

          protected static scala.PartialFunction<Variable,​scala.runtime.BoxedUnit> replace​(java.lang.String key,
                                                                                                 java.lang.String newKey)

    - #### collectVariables

          public java.util.Map<java.lang.String,​VariableReference.VariableUsageType> collectVariables()

      Specified by:
        `collectVariables` in interface `UsagePoint`

    - #### replaceVariable

          public java.util.Set<ConfigurationItem> replaceVariable​(Variable toReplace,
                                                                  VariableOrValue replacement)

      Specified by:
        `replaceVariable` in interface `UsagePoint`

    - #### getTargetProperty

          public CiProperty getTargetProperty()

      Specified by:
        `getTargetProperty` in interface `UsagePoint`

    - #### replaceString

          protected scala.Option<Variable> replaceString​(java.lang.String key,
                                                         java.lang.String value)

    - #### replaceValue

          protected scala.Option<Variable> replaceValue​(java.lang.String key,
                                                        java.lang.Object value)